/***************************************************************************
 * Copyright 2013 Kieker Project (http://kieker-monitoring.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/
package kieker.webgui.domain;

/**
 * This is the interface for component containers of different types (plugins and repositories). It exists to have a common base for the implementing classes.
 * 
 * @author Nils Christian Ehmke
 */
public interface IComponentContainer {

	/**
	 * Delivers the description of the given property.
	 * 
	 * @param property
	 *            The property name.
	 * @return The human readable description of the property.
	 */
	public String getPropertyDescription(final String property);

}
