/***************************************************************************
 * Copyright 2013 Kieker Project (http://kieker-monitoring.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/

package kieker.webgui.web.beans.request;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import org.primefaces.model.UploadedFile;

/**
 * This simple {@code Spring} managed bean is request scoped and can be used to store the necessary data for a file upload.
 * 
 * @author Nils Christian Ehmke
 */
@Component
@Scope("request")
public class UploadFileBean {

	private UploadedFile file = null;

	/**
	 * Creates a new instance of this bean and initializes it with empty fields. <b>Do not use this constructor. This bean is Spring managed.</b>
	 */
	public UploadFileBean() {
		// No code necessary
	}

	public UploadedFile getFile() {
		return this.file;
	}

	public void setFile(final UploadedFile file) {
		this.file = file;
	}

}
